defmodule Datasets.Mixfile do
  use Mix.Project

  def project do
    [app: :datasets,
     version: "0.1.0",
     elixir: "~> 1.2",
     build_embedded: Mix.env == :prod,
     start_permanent: Mix.env == :prod,
     description: description(),
     package: package(),
     deps: deps]
  end

  # Configuration for the OTP application
  #
  # Type "mix help compile.app" for more information
  def application do
    [applications: [:logger]]
  end

  # Dependencies can be Hex packages:
  #
  #   {:mydep, "~> 0.3.0"}
  #
  # Or git/path repositories:
  #
  #   {:mydep, git: "https://github.com/elixir-lang/mydep.git", tag: "0.1.0"}
  #
  # Type "mix help deps" for more examples and options
  defp deps do
    [
      {:math, "~> 0.2.0"},
      {:statistics, "~> 0.4.0"},
      {:ex_doc, ">= 0.0.0"}
    ]
  end

  defp description do
    """
    Generate sample data similar to sklearn.datasets for python
    """
  end

  defp package do
    [
      licenses: ["GPLv3"],
      maintainers: ["Mark Kurt"],
      links: %{"GitHub" => "https://github.com/markkurt/sampledata"}
    ]
  end
end
